Package org.eclipse.emf.cdo.security

## Interface Assignee

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`, `SecurityElement`, `SecurityItem`
  All Known Subinterfaces:
    `Group`, `User`
  All Known Implementing Classes:
    `AssigneeImpl`, `GroupImpl`, `UserImpl`

      public interface Assignee
      extends SecurityItem

  A representation of the model object 'Assignee'.
  See Also:
    `SecurityPackage.getAssignee()`
  Generated
  Model
    abstract="true"
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

    The following features are supported:

    - `Id`
    - `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` | Returns the value of the 'Id' attribute.
    `EList<Role>` | `getRoles()` | Returns the value of the 'Roles' reference list.
    `void` | `setId​(java.lang.String value)` | Sets the value of the '`Id`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

      `getRealm`

- - ### Method Detail

    - #### getRoles

          EList<Role> getRoles()

      Returns the value of the 'Roles' reference list. The list contents are of type `Role`. It is bidirectional and its opposite is '`Assignees`'.

      If the meaning of the 'Roles' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Roles' reference list.
      See Also:
        `SecurityPackage.getAssignee_Roles()`, `Role.getAssignees()`
      Generated
      Model
        opposite="assignees"

    - #### getId

          java.lang.String getId()

      Returns the value of the 'Id' attribute.

      If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Id' attribute.
      See Also:
        `setId(String)`, `SecurityPackage.getAssignee_Id()`
      Generated
      Model

    - #### setId

          void setId​(java.lang.String value)

      Sets the value of the '`Id`' attribute.
      Parameters:
        `value` - the new value of the 'Id' attribute.
      See Also:
        `getId()`
      Generated